# Yahoo! UI Library

### dataschema 3.3.0

Yahoo! UI Library > dataschema > DataSchema.Base
Search:
Filters Show Private Show Protected Show Deprecated

## `static` Class DataSchema.Base

Known Subclasses:
  DataSchema.XML DataSchema.Array DataSchema.JSON DataSchema.Text

Base class for the YUI DataSchema Utility.

### Methods

#### apply

`static Object apply ( schema , data )`
Overridable method returns data as-is.

Parameters:
  `schema <Object>` Schema to apply.
  `data <Object>` Data.

Returns: `Object`
  Schema-parsed data.

#### parse

`Object parse ( value , field )`
Applies field parser, if defined

Parameters:
  `value <Object>` Original value.
  `field <Object>` Field.

Returns: `Object`
  Type-converted value.

Copyright © 2011 Yahoo! Inc. All rights reserved.